[nodebb-plugin-blog-comments] Blog Commenting Engine (Ghost, Wordpress widget)


  • @psychobunny

    I'm using Nodebb 1.6.1

    I installed via npm install nodebb-plugin-blog-comments.
    I have logged into the ACP and activated the plugin. However when I go to Plugins->Blog Comments, I get this message in the nodebb log:

    23/10 23:18:20 [11464] - warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run ./nodebb reset -p PLUGINNAME to disable it.

    • nodebb-plugin-blog-comments

    23/10 23:18:20 [11464] - info: Routes added
    23/10 23:18:20 [11464] - info: NodeBB Ready
    23/10 23:18:20 [11464] - info: Enabling 'trust proxy'
    23/10 23:18:20 [11464] - info: NodeBB is now listening on: 0.0.0.0:4567
    23/10 23:18:26 [11464] - error: /assets/templates/comments/admin.js
    Error: ENOENT: no such file or directory, open 'C:\Temp\NodeBB\build\public\templates\comments\admin.tpl'

    If I copy and paste "comments" folder from:
    C:\Temp\NodeBB\node_modules\nodebb-plugin-blog-comments\public\templates
    To:
    C:\Temp\NodeBB\build\public\templates

    Then I can the access blog-comments. However I do not know if this is a proper solution as I am unable to get things to work so far.

    Is there a test I can do to see if the plugin is setup correctly?

    I'm trying to use just a javascript front end to display comments.

    Your help is appreciated. Thank you!

  • Global Moderator Plugin & Theme Dev

    Did you try running ./nodebb build before copying over the templates?


  • Hoping this is still good 👍 Looks like there's a recent commit though so 😁 . I have a need for another plugin that integrates with GhostCMS so I hope this will be able to help me see how to do that as well. Thank you! If I can figure this all out I promise to release the plugin.

  • GNU/Linux

    After upgrade, i have this message :

          warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run `./nodebb reset -p PLUGINNAME` to disable it.
    * nodebb-plugin-blog-comments
    

  • @psychobunny wrote:

    It's come up pretty recently that we should consider upgrading our blog to latest, and when that happens I'll certainly make sure that the plugin works with it

    I've just seen that the official NodeBB Development Blog has been upgraded to Ghost 1.21, and NodeBB comments are working on it.

    So I've installed it with the current Ghost and NodeBB, and it works.


  • I'm trying to get this installed now on my Wordpress for https://digitalnomad.blog ... the JSON API recommended originally years ago, hasn't been updated in 3+ years. No comments in the support there, and says it may not be compatible with recent / coming Wordpress installations.

    Will this nodebb plugin work with other WP JSON API plugins, such as JSON Content Importer - https://wordpress.org/plugins/json-content-importer/


  • While the comments entry field appears for me in one blog - Ghost version: 2.10.1 and nodebb 1.11 with the most recent version of the plugin from what I can tell - and links to the respective comments topic and makes entries, the comments in that topic do not appear below the blog post.


  • Hello, fresh install nodebb v1.11.1, i have this message:

    warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run `./nodebb reset -p PLUGINNAME` to disable it.
      * nodebb-plugin-blog-comments
    

    Can i have some help, please? Thank you.

  • Global Moderator Plugin & Theme Dev

    @c3do it's just a warning. You can ignore it. Are you having any actual issues with the functionality of the plugin?


  • @PitaJ yesterday, i could not go on the settings page. i saw this warning, so i thought it was the problem.
    I had run the command "./nodebb build" but the warning was always here. So, I was obsessed with the warning.
    Finally, the command had solved the problem without me realizing it. I can access the settings page despite the warning.


  • I am on ghost. I can create the new topic and comment from ghost. But, last comments does not appear in ghost post.


  • I installed the plugin, setup comments.php on Wordpress and I see the following on Wordpress:

    "Commenting has been disabled" with the "Publish this article to NodeBB"

    d2cf3f38-ab86-45e1-ba4b-7c39361e6615-image.png

    However, when I push the button, I get this error:

    Internal Error.
    Oops! Looks like something went wrong!
    
    /forums/comments/publish
    
    Unexpected end of JSON input
    

    ef77baaa-8079-4a1c-8551-7efb524073a3-image.png

    Could this be a problem with my forum being installed in a subdir?

    cc: @psychobunny @baris


  • I'm also seeing this in the logs:

    2019-02-07T22:14:16.880Z [4567/23701] - warn: [nodebb-plugin-blog-comments] Origin (undefined) does not match hostUrls: https://www.axisandallies.org
    2019-02-07T22:14:42.601Z [4567/23701] - error: /forums/comments/publish
    
    SyntaxError: Unexpected end of JSON input
        at JSON.parse (<anonymous>)
        at Comments.publishArticle (/var/srv/nodebb/node_modules/nodebb-plugin-blog-comments/library.js:135:15)
        at Layer.handle [as handle_request] (/var/srv/nodebb/node_modules/express/lib/router/layer.js:95:5)
        at next (/var/srv/nodebb/node_modules/express/lib/router/route.js:137:13)
        at Route.dispatch (/var/srv/nodebb/node_modules/express/lib/router/route.js:112:3)
        at Layer.handle [as handle_request] (/var/srv/nodebb/node_modules/express/lib/router/layer.js:95:5)
        at /var/srv/nodebb/node_modules/express/lib/router/index.js:281:22
        at Function.process_params (/var/srv/nodebb/node_modules/express/lib/router/index.js:335:12)
        at next (/var/srv/nodebb/node_modules/express/lib/router/index.js:275:10)
        at rewrite (/var/srv/nodebb/src/controllers/home.js:33:10)
    

    It's odd that Origin is undefined, right?


    Also, here's the forum data being posted, it's not JSON and it's missing a bunch of stuff.

    markdown=&title=&cid=&tags=&id=2930&url=https%3A%2F%2Fwww.axisandallies.org%2Fp%2Fvictory-new-wwii-game-columbia-games%2F&_csrf=l3iXstpC-aU9hckFGosqYZl2yAcIZ_ozQR98
    

    Oddly I get the same error with and without the JSON API wordpress plugin activated. (It is currently activated)


  • This post is deleted!

  • Okay, the solution to this is that the comment in the Wordpress php that the categoryID is options is not correct. You need the category ID.

    But there are still some subdir issues happening for me.


  • Does the plugin not show the comments from the nodebb post?

  • Admin

    @djensen47 will look into this Monday, are you on latest WP /JSON API (though I think the latter hasn't been updated in a while)?

    Dear PHP, I thought I didn't have to deal with you anymore 😄


  • @psychobunny I filed some bugs and included a PR for one of the bugs.


  • This post is deleted!

  • @psychobunny

    2019-12-23T13:37:40.855Z [undefined/13516] - error: [build] Encountered error during build stepEACCES: permission denied, rmdir '/var/www/nodebb/build/public/plugins/nodebb-plugin-blog-comments' {"errno":-13,"code":"EACCES","syscall":"rmdir","path":"/var/www/nodebb/build/public/plugins/nodebb-plugin-blog-comments","stack":"Error: EACCES: permission denied, rmdir '/var/www/nodebb/build/public/plugins/nodebb-plugin-blog-comments'"} 2019-12-23T13:37:40.856Z [undefined/13516] - error: EACCES: permission denied, rmdir '/var/www/nodebb/build/public/plugins/nodebb-plugin-blog-comments' {"errno":-13,"code":"EACCES","syscall":"rmdir","path":"/var/www/nodebb/build/public/plugins/nodebb-plugin-blog-comments"} [email protected]:/var/www/nodebb$

    When I run the ./nodebb build command, I get the above life. Which command should I run to completely remove this plugin?

Suggested Topics

| |